Index: palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 38)
+++ palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 39)
@@ -3,9 +3,14 @@
 
 A heatflux can be prescribed at the top with new inipar parameters
-top_heatflux and use_top_fluxes. New 2d-arrays tsws and tswst are used to
-store this flux. A Neumann boundary condition for
-temperature can be applied under these conditions.
+top_heatflux and use_top_fluxes. New 2d-arrays qswst, qswst_m, tswst and
+tswst_m are used to store this flux. Use of fluxes are controlled with new
+index variable nzt_diff. A Neumann boundary condition for
+temperature can be applied under these conditions. Additionally, a Dirichlet
+condition for temperature can be used at the top.
 
-modules.f90 
+check_parameters, diffusion_s, flow_statistics, header, init_grid,
+init_3d_model, modules, parin,
+production_e, prognostic_equations, read_var_list, read_3d_binary,
+swap_timelevel, write_var_list, write_3d_binary
 
 
@@ -14,10 +19,16 @@
 
 Prognostic equations for all scalars are now solved up to gridpoint nzt
-(formerly nzt-1).
+(formerly nzt-1). Boundary conditions for scalars at top adjusted respectively
+(now applied only at nzt+1).
 
 The default top boundary condition for temperature has been renamed to
 "initial gradient".
 
-modules.f90
+dvrp_output_local, which was commented out for a long time, is now activated
+for all streams.
+
+advec_s_pw, boundary_conds, calc_precipitation, check_parameters, diffusion_e,
+diffusion_s, impact_of_latent_heat, init_dvrp,
+init_pt_anomaly, modules, production_e, prognostic_equations, spline_z
 
 
@@ -26,2 +37,10 @@
 
 Bugfix: 3d-array p is not a pointer any more.
+
+Bugfix in init_particles: MPI_REAL in MPI_ALLREDUCE replaced by
+MPI_INTEGER (caused error on NEC only)
+
+Bugfix:  ddzw dimensioned 1:nzt"+1"
+
+diffusion_e, diffusion_s, diffusion_u, diffusion_v, diffusion_w,
+init_particles, modules
Index: palm/trunk/SOURCE/advec_particles.f90
===================================================================
--- palm/trunk/SOURCE/advec_particles.f90	(revision 38)
+++ palm/trunk/SOURCE/advec_particles.f90	(revision 39)
@@ -4,5 +4,4 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix: wrong if-clause from revision 1.32
 ! TEST: PRINT statements on unit 9 (commented out)
 !
@@ -10,4 +9,9 @@
 ! -----------------
 ! $Id$
+!
+! 16 2007-02-15 13:16:47Z raasch
+! Bugfix: wrong if-clause from revision 1.32
+!
+! r4 | raasch | 2007-02-13 12:33:16 +0100 (Tue, 13 Feb 2007)
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/advec_s_pw.f90
===================================================================
--- palm/trunk/SOURCE/advec_s_pw.f90	(revision 38)
+++ palm/trunk/SOURCE/advec_s_pw.f90	(revision 39)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Calculation extended for gridpoint nzt
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 19 2007-02-23 04:53:48Z raasch
+! Calculation extended for gridpoint nzt
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/boundary_conds.f90	(revision 38)
+++ palm/trunk/SOURCE/boundary_conds.f90	(revision 39)
@@ -4,11 +4,15 @@
 ! Actual revisions:
 ! -----------------
-! Boundary conditions for e(nzt), pt(nzt), and q(nzt) removed because these
-! values are now calculated by the prognostic equation,
-! Dirichlet and zero gradient condition for pt established at top boundary
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 19 2007-02-23 04:53:48Z raasch
+! Boundary conditions for e(nzt), pt(nzt), and q(nzt) removed because these
+! gridpoints are now calculated by the prognostic equation,
+! Dirichlet and zero gradient condition for pt established at top boundary
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/calc_liquid_water_content.f90
===================================================================
--- palm/trunk/SOURCE/calc_liquid_water_content.f90	(revision 38)
+++ palm/trunk/SOURCE/calc_liquid_water_content.f90	(revision 39)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Old comment removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 19 2007-02-23 04:53:48Z raasch
+! Old comment removed
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/calc_precipitation.f90
===================================================================
--- palm/trunk/SOURCE/calc_precipitation.f90	(revision 38)
+++ palm/trunk/SOURCE/calc_precipitation.f90	(revision 39)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Calculation extended for gridpoint nzt
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 19 2007-02-23 04:53:48Z raasch
+! Calculation extended for gridpoint nzt
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 38)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 39)
@@ -4,10 +4,14 @@
 ! Actual revisions:
 ! -----------------
-! Temperature and humidity gradients at top are now calculated for nzt+1,
-! top_heatflux and respective boundary condition bc_pt_t is checked
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 20 2007-02-26 00:12:32Z raasch
+! Temperature and humidity gradients at top are now calculated for nzt+1,
+! top_heatflux and respective boundary condition bc_pt_t is checked
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/diffusion_e.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_e.f90	(revision 38)
+++ palm/trunk/SOURCE/diffusion_e.f90	(revision 39)
@@ -4,10 +4,14 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix: ddzw dimensioned 1:nzt"+1"
-! Calculation extended for gridpoint nzt
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 20 2007-02-26 00:12:32Z raasch
+! Bugfix: ddzw dimensioned 1:nzt"+1"
+! Calculation extended for gridpoint nzt
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/diffusion_s.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_s.f90	(revision 38)
+++ palm/trunk/SOURCE/diffusion_s.f90	(revision 39)
@@ -4,11 +4,15 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix: ddzw dimensioned 1:nzt"+1"
-! Calculation extended for gridpoint nzt, fluxes can be given at top,
-! +s_flux_t in parameter list, s_flux renamed s_flux_b,
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 20 2007-02-26 00:12:32Z raasch
+! Bugfix: ddzw dimensioned 1:nzt"+1"
+! Calculation extended for gridpoint nzt, fluxes can be given at top,
+! +s_flux_t in parameter list, s_flux renamed s_flux_b
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_u.f90	(revision 38)
+++ palm/trunk/SOURCE/diffusion_u.f90	(revision 39)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix: ddzw dimensioned 1:nzt"+1"
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 20 2007-02-26 00:12:32Z raasch
+! Bugfix: ddzw dimensioned 1:nzt"+1"
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/diffusion_v.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_v.f90	(revision 38)
+++ palm/trunk/SOURCE/diffusion_v.f90	(revision 39)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix: ddzw dimensioned 1:nzt"+1"
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 20 2007-02-26 00:12:32Z raasch
+! Bugfix: ddzw dimensioned 1:nzt"+1"
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_w.f90	(revision 38)
+++ palm/trunk/SOURCE/diffusion_w.f90	(revision 39)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix: ddzw dimensioned 1:nzt"+1"
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 20 2007-02-26 00:12:32Z raasch
+! Bugfix: ddzw dimensioned 1:nzt"+1"
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 38)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 39)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! fluxes at top modified (tswst, qswst)
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+! fluxes at top modified (tswst, qswst)
+!
+! 19 2007-02-23 04:53:48Z raasch
+! 
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 38)
+++ palm/trunk/SOURCE/header.f90	(revision 39)
@@ -9,4 +9,8 @@
 ! -----------------
 ! $Id$
+!
+! 19 2007-02-23 04:53:48Z raasch
+! Output of scalar flux applied at top boundary
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/impact_of_latent_heat.f90
===================================================================
--- palm/trunk/SOURCE/impact_of_latent_heat.f90	(revision 38)
+++ palm/trunk/SOURCE/impact_of_latent_heat.f90	(revision 39)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Calculation extended for gridpoint nzt
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Calculation extended for gridpoint nzt
+!
+! 19 2007-02-23 04:53:48Z raasch
+! 
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 38)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 39)
@@ -7,9 +7,13 @@
 ! Actual revisions:
 ! -----------------
-! +handling of top fluxes
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 19 2007-02-23 04:53:48Z raasch
+! +handling of top fluxes
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/init_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/init_dvrp.f90	(revision 38)
+++ palm/trunk/SOURCE/init_dvrp.f90	(revision 39)
@@ -11,4 +11,6 @@
 ! -----------------
 ! $Id$
+!
+! 17 2007-02-19 01:57:39Z raasch
 ! dvrp_output_local activated for all streams
 !
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 38)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 39)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Setting of nzt_diff
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 19 2007-02-23 04:53:48Z raasch
+! Setting of nzt_diff
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/init_particles.f90
===================================================================
--- palm/trunk/SOURCE/init_particles.f90	(revision 38)
+++ palm/trunk/SOURCE/init_particles.f90	(revision 39)
@@ -4,9 +4,14 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix: MPI_REAL in MPI_ALLREDUCE replaced by MPI_INTEGER
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 16 2007-02-15 13:16:47Z raasch
+! Bugfix: MPI_REAL in MPI_ALLREDUCE replaced by MPI_INTEGER
+!
+! r4 | raasch | 2007-02-13 12:33:16 +0100 (Tue, 13 Feb 2007)
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/init_pt_anomaly.f90
===================================================================
--- palm/trunk/SOURCE/init_pt_anomaly.f90	(revision 38)
+++ palm/trunk/SOURCE/init_pt_anomaly.f90	(revision 39)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Calculation extended for gridpoint nzt
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 19 2007-02-23 04:53:48Z raasch
+! Calculation extended for gridpoint nzt
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 38)
+++ palm/trunk/SOURCE/parin.f90	(revision 39)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! +top_heatflux, use_top_fluxes in inipar
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 20 2007-02-26 00:12:32Z raasch
+! +top_heatflux, use_top_fluxes in inipar
+!
 ! -netcdf_64bit_3d
 !
Index: palm/trunk/SOURCE/production_e.f90
===================================================================
--- palm/trunk/SOURCE/production_e.f90	(revision 38)
+++ palm/trunk/SOURCE/production_e.f90	(revision 39)
@@ -4,11 +4,15 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 37 2007-03-01 08:33:54Z raasch
 ! Calculation extended for gridpoint nzt, extended for given temperature /
 ! humidity fluxes at the top, wall-part is now executed in case that a
 ! Prandtl-layer is switched on (instead of surfaces fluxes switched on)
 !
-! Former revisions:
-! -----------------
-! $Id$
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 38)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 39)
@@ -4,10 +4,14 @@
 ! Actual revisions:
 ! -----------------
-! Calculation of e, q, and pt extended for gridpoint nzt,
-! handling of given temperature/humidity/scalar fluxes at top surface
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 19 2007-02-23 04:53:48Z raasch
+! Calculation of e, q, and pt extended for gridpoint nzt,
+! handling of given temperature/humidity/scalar fluxes at top surface
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/read_3d_binary.f90	(revision 38)
+++ palm/trunk/SOURCE/read_3d_binary.f90	(revision 39)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! +qswst, qswst_m, tswst, tswst_m
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+! +qswst, qswst_m, tswst, tswst_m
+!
+! 19 2007-02-23 04:53:48Z raasch
+! 
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 38)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 39)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! +top_heatflux, use_top_fluxes
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 20 2007-02-26 00:12:32Z raasch
+! +top_heatflux, use_top_fluxes
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/spline_z.f90
===================================================================
--- palm/trunk/SOURCE/spline_z.f90	(revision 38)
+++ palm/trunk/SOURCE/spline_z.f90	(revision 39)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Boundary condition for pt at top adjusted
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 19 2007-02-23 04:53:48Z raasch
+! Boundary condition for pt at top adjusted
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- palm/trunk/SOURCE/swap_timelevel.f90	(revision 38)
+++ palm/trunk/SOURCE/swap_timelevel.f90	(revision 39)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Swaping of top fluxes
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 19 2007-02-23 04:53:48Z raasch
+! Swaping of top fluxes
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/write_3d_binary.f90	(revision 38)
+++ palm/trunk/SOURCE/write_3d_binary.f90	(revision 39)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! +qswst, qswst_m, tswst, tswst_m
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 19 2007-02-23 04:53:48Z raasch
+! +qswst, qswst_m, tswst, tswst_m
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 38)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 39)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! +top_heatflux, use_top_fluxes
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 20 2007-02-26 00:12:32Z raasch
+! +top_heatflux, use_top_fluxes
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !